Retrieve Tax Form
https://sandbox-products.ddp.akoya.com/tax-forms/{version}/{providerId}/{taxFormId}
Get the Tax Statement as JSON or PDF for a single tax document for the customer. Use HTTP Accept request-header to specify desired content types. See AcceptHeader definition for typical values.
Path Parameters
version*
stringdefault: v3Akoya major version number. Do not use minor version numbers. For instance, use v3 and not v3.1
providerId*
stringdefault: mikomoId of provider
taxFormId*
Unique identifier of the tax form to request.
Headers
x-akoya-interaction-id
Unique identifier to associate with this request. No specific format required.
Example: unique-request-id-001
x-akoya-interaction-type*
Allowed values are `USER` or `BATCH`. `USER` indicates a request is prompted by an end-user action. `BATCH` indicates the request is part of a batch process.
x-akoya-last-access*
The date and time stamp for the last active use by the user. Follow the ISO8601 date format in the UTC time zone. For example: `2025-11-24T00:00:00Z`
x-akoya-intent-type*
Acceptable values are `payments` or `nonpayments.`
accept
Use the [Accept HTTP request header](https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Accept) to indicate one or more content types to request for the search result response. Use `application/json` to request data or `application/pdf to request images in comma-separated array format. Use in combination with TaxDataTypeQuery parameter to request `application/json` responses in ''JSON'' or ''BASE64_PDF'' format for tax form data'
Query Parameters
taxDataType
Use taxDataType to request `application/json` tax form data response in 'JSON' or 'BASE64_PDF' format. Omit if either format is acceptable. Used in combination with AcceptHeader requesting `application/json` response
Example: JSON
Responses
200
The document image or TaxStatement as json for a single tax document for the customer. A single document can include multiple IRS tax forms and/or other reporting statements as delivered by providers
File Response: application/pdf
Response Body
object
taxYear
Year for which taxes are being paid
integer
taxStatementId
string
Long-term persistent id for the tax statement. Depending upon the data provider, this may be the same id as the id on the enclosed tax form(s), or this may be a different id
issuer
Issuer's name, address, phone, and TIN. Issuer data need only be transmittted on TaxStatement, 'JSON' data type responses if it is the same on all included tax forms
recipient
Recipient's name, address, phone, and TIN. Recipient data need only be transmittted on TaxStatement, 'JSON' data type responses if it is the same on all included tax forms
taxDataType
Whether this `application/json` tax form response contains data in `forms` property (as 'JSON' format) or `pdf` property (as 'BASE64_PDF' format)
forms
array of objects
The list of data contents for all included tax forms, response should include one of `forms` or `pdf`
object
businessIncomeStatement
Business Income Statement for IRS Form 1040 Schedule C
object
taxYear
Year for which taxes are being paid
integer
corrected
boolean
True to indicate this is a corrected tax form
accountId
string
Long-term persistent identity of the source account. Not the account number
taxFormId
string
Long-term persistent id for this tax form. Depending upon the data provider, this may be the same id as the enclosing tax statement id, or this may be a different id, or this id may be omitted.
taxFormDate
Date of production or delivery of the tax form
string
additionalInformation
string
Additional explanation text or content about this tax form
taxFormType
Enumerated name of the tax form entity e.g. "TaxW2"
issuer
Issuer's name, address, phone, and TIN. Issuer data need only be transmitted on enclosing TaxStatement, if it is the same on all its included tax forms.
recipient
Recipient's name, address, phone, and TIN. Recipient data need only be transmitted on enclosing TaxStatement, if it is the same on all its included tax forms.
attributes
array of objects
Additional attributes for this tax form when defined fields are not available. Some specific additional attributes already defined by providers: Fields required by [IRS FIRE](https://www.irs.gov/e-file-providers/filing-information-returns-electronically-fire): Name Control, Type of Identification Number (EIN, SSN, ITIN, ATIN). (ATIN is tax ID number for pending adoptions.) Tax form provider field for taxpayer notification: Recipient Email Address.
object
name
string
Name of attribute
value
string
Value of attribute
boxNumber
string
Box number on a tax form, if any
code
string
Tax form code for the given box number, if any
error
Present if an error was encountered while retrieving this form
links
Links to retrieve this form as data or image, or to invoke other APIs
array
businessName
string
Box C, Business name
sales
number
Box 1, Gross receipts or sales
returns
number
Box 2, Returns and allowances
otherIncome
array
advertising
number
Box 8, Advertising
carAndTruck
number
Box 9, Car and truck expenses
commissions
number
Box 10, Commissions and fees
contractLabor
number
Box 11, Contract labor
depletion
number
Box 12, Depletion
depreciation
number
Box 13, Depreciation
employeeBenefits
number
Box 14, Employee benefit programs
insurance
number
Box 15, Insurance
mortgageInterest
number
Box 16a, Mortgage interest
otherInterest
number
Box 16b, Other interest
legal
number
Box 17, Legal and professional services
office
number
Box 18, Office expense
pension
number
Box 19, Pension and profit-sharing plans
equipmentRent
number
Box 20a, Equipment rent
otherRent
number
Box 20b, Other rent
repairs
number
Box 21, Repairs and maintenance
supplies
number
Box 22, Supplies
taxes
number
Box 23, Taxes and licenses
travel
number
Box 24a, Travel
meals
number
Box 24b, Deductible meals
utilities
number
Box 25, Utilities
wages
number
Box 26, Wages
otherExpenses
Box 27, Other expenses
beginningInventory
number
Box 35, Inventory at beginning of year
purchases
number
Box 36, Purchases
costOfLabor
number
Box 37, Cost of labor
materials
number
Box 38, Materials and supplies
otherCosts
array of objects
Box 39, Other costs
object
description
string
Description
amount
number
Amount
endingInventory
number
Box 41, Inventory at end of year
capitalExpenditures
array
cryptocurrencyTaxStatement
object
taxYear
Year for which taxes are being paid
integer
corrected
boolean
True to indicate this is a corrected tax form
accountId
string
Long-term persistent identity of the source account. Not the account number
taxFormId
string
Long-term persistent id for this tax form. Depending upon the data provider, this may be the same id as the enclosing tax statement id, or this may be a different id, or this id may be omitted.
taxFormDate
Date of production or delivery of the tax form
string
additionalInformation
string
Additional explanation text or content about this tax form
taxFormType
Enumerated name of the tax form entity e.g. "TaxW2"
issuer
Issuer's name, address, phone, and TIN. Issuer data need only be transmitted on enclosing TaxStatement, if it is the same on all its included tax forms.
recipient
Recipient's name, address, phone, and TIN. Recipient data need only be transmitted on enclosing TaxStatement, if it is the same on all its included tax forms.
attributes
array of objects
Additional attributes for this tax form when defined fields are not available. Some specific additional attributes already defined by providers: Fields required by [IRS FIRE](https://www.irs.gov/e-file-providers/filing-information-returns-electronically-fire): Name Control, Type of Identification Number (EIN, SSN, ITIN, ATIN). (ATIN is tax ID number for pending adoptions.) Tax form provider field for taxpayer notification: Recipient Email Address.
object
name
string
Name of attribute
value
string
Value of attribute
boxNumber
string
Box number on a tax form, if any
code
string
Tax form code for the given box number, if any
error
Present if an error was encountered while retrieving this form
links
Links to retrieve this form as data or image, or to invoke other APIs
array
gainsAndLosses
array of objects
The list of cryptocurrency gains and losses
object
cryptocurrencyName
string
Cryptocurrency name (e.g. Bitcoin)
symbol
string
Cryptocurrency abbreviation or symbol (e.g. BTC)
quantity
number
Quantity (e.g. 0.0125662)
saleDescription
string
Description of property (1099-B box 1a)
dateAcquired
Date acquired (1099-B box 1b)
string
variousDatesAcquired
boolean
Acquired on various dates (1099-B box 1b)
dateOfSale
Date sold or disposed (1099-B box 1c)
string
salesPrice
number
Proceeds (not price per share, 1099-B box 1d)
costBasis
number
Cost or other basis (1099-B box 1e)
longOrShort
farmIncomeStatement
Farm Income Statement for IRS Form 1040 Schedule F
object
taxYear
Year for which taxes are being paid
integer
corrected
boolean
True to indicate this is a corrected tax form
accountId
string
Long-term persistent identity of the source account. Not the account number
taxFormId
string
Long-term persistent id for this tax form. Depending upon the data provider, this may be the same id as the enclosing tax statement id, or this may be a different id, or this id may be omitted.
taxFormDate
Date of production or delivery of the tax form
string
additionalInformation
string
Additional explanation text or content about this tax form
taxFormType
Enumerated name of the tax form entity e.g. "TaxW2"
issuer
Issuer's name, address, phone, and TIN. Issuer data need only be transmitted on enclosing TaxStatement, if it is the same on all its included tax forms.
recipient
Recipient's name, address, phone, and TIN. Recipient data need only be transmitted on enclosing TaxStatement, if it is the same on all its included tax forms.
attributes
array of objects
Additional attributes for this tax form when defined fields are not available. Some specific additional attributes already defined by providers: Fields required by [IRS FIRE](https://www.irs.gov/e-file-providers/filing-information-returns-electronically-fire): Name Control, Type of Identification Number (EIN, SSN, ITIN, ATIN). (ATIN is tax ID number for pending adoptions.) Tax form provider field for taxpayer notification: Recipient Email Address.
object
name
string
Name of attribute
value
string
Value of attribute
boxNumber
string
Box number on a tax form, if any
code
string
Tax form code for the given box number, if any
error
Present if an error was encountered while retrieving this form
links
Links to retrieve this form as data or image, or to invoke other APIs
array
cropOrActivity
string
Box A, Principal crop or activity
sales
number
Box 1a, Sales of livestock and other resale items
costOfItemsSold
number
Box 1b, Cost or other basis of livestock or other items
salesOfRaised
number
Box 2, Sales of livestock, produce, grains, and other products you raised
coopDistributions
number
Box 3a, Cooperative distributions
agProgramPayments
number
Box 4a, Agricultural program payments
cccLoans
number
Box 5a, Commodity Credit Corporation (CCC) loans reported under election
cropInsuranceProceeds
number
Box 6a, Crop insurance proceeds and federal crop disaster payments
customHireIncome
number
Box 7, Custom hire (machine work) income
otherIncome
Box 8, Other income
carAndTruck
number
Box 10, Car and truck expenses
chemicals
number
Box 11, Chemicals
conservation
number
Box 12, Conservation expenses
customHireExpenses
number
Box 13, Custom hire (machine work)
depreciation
number
Box 14, Depreciation
employeeBenefitPrograms
number
Box 15, Employee benefit programs
feed
number
Box 16, Feed
fertilizers
number
Box 17, Fertilizers and lime
freight
number
Box 18, Freight and trucking
fuel
number
Box 19, Gasoline, fuel, and oil
insurance
number
Box 20, Insurance (other than health)
mortgageInterest
number
Box 21a, Mortgage Interest
otherInterest
number
Box 21b, Other interest
laborHired
number
Box 22, Labor hired
pension
number
Box 23, Pension and profit-sharing plans
equipmentRent
number
Box 24a, Rent or lease: Vehicles, machinery, equipment
otherRent
number
Box 24b, Rent or lease: Other
repairs
number
Box 25, Repairs and maintenance
seeds
number
Box 26, Seeds and plants
storage
number
Box 27, Storage and warehousing
supplies
number
Box 28, Supplies
taxes
number
Box 29, Taxes
utilities
number
Box 30, Utilities
veterinary
number
Box 31, Veterinary, breeding, and medicine
otherExpenses
array
capitalExpenditures
array
farmRentalIncomeStatement
Farm Rental Income Statement for IRS Form 4835
object
taxYear
Year for which taxes are being paid
integer
corrected
boolean
True to indicate this is a corrected tax form
accountId
string
Long-term persistent identity of the source account. Not the account number
taxFormId
string
Long-term persistent id for this tax form. Depending upon the data provider, this may be the same id as the enclosing tax statement id, or this may be a different id, or this id may be omitted.
taxFormDate
Date of production or delivery of the tax form
string
additionalInformation
string
Additional explanation text or content about this tax form
taxFormType
Enumerated name of the tax form entity e.g. "TaxW2"
issuer
Issuer's name, address, phone, and TIN. Issuer data need only be transmitted on enclosing TaxStatement, if it is the same on all its included tax forms.
recipient
Recipient's name, address, phone, and TIN. Recipient data need only be transmitted on enclosing TaxStatement, if it is the same on all its included tax forms.
attributes
array of objects
Additional attributes for this tax form when defined fields are not available. Some specific additional attributes already defined by providers: Fields required by [IRS FIRE](https://www.irs.gov/e-file-providers/filing-information-returns-electronically-fire): Name Control, Type of Identification Number (EIN, SSN, ITIN, ATIN). (ATIN is tax ID number for pending adoptions.) Tax form provider field for taxpayer notification: Recipient Email Address.
object
name
string
Name of attribute
value
string
Value of attribute
boxNumber
string
Box number on a tax form, if any
code
string
Tax form code for the given box number, if any
error
Present if an error was encountered while retrieving this form
links
Links to retrieve this form as data or image, or to invoke other APIs
array
incomeFromProduction
number
Box 1, Income from production of livestock, produce, grains, and other crops
coopDistributions
number
Box 2a, Cooperative distributions
agProgramPayments
number
Box 3a, Agricultural program payments
cccLoans
number
Box 4a, Commodity Credit Corporation (CCC) loans reported under election
cropInsuranceProceeds
number
Box 5a, Crop insurance proceeds and federal crop disaster payments
otherIncome
Box 6, Other income
carAndTruck
number
Box 8, Car and truck expenses
chemicals
number
Box 9, Chemicals
conservation
number
Box 10, Conservation expenses
customHireExpenses
number
Box 11, Custom hire (machine work)
depreciation
number
Box 12, Depreciation
employeeBenefitPrograms
number
Box 13, Employee benefit programs
feed
number
Box 14, Feed
fertilizers
number
Box 15, Fertilizers and lime
freight
number
Box 16, Freight and trucking
fuel
number
Box 17, Gasoline, fuel, and oil
insurance
number
Box 18, Insurance (other than health)
mortgageInterest
number
Box 19a, Mortgage Interest
otherInterest
number
Box 19b, Other interest
laborHired
number
Box 20, Labor hired
pension
number
Box 21, Pension and profit-sharing plans
equipmentRent
number
Box 22a, Rent or lease: Vehicles, machinery, equipment
otherRent
number
Box 22b, Rent or lease: Other
repairs
number
Box 23, Repairs and maintenance
seeds
number
Box 24, Seeds and plants
storage
number
Box 25, Storage and warehousing
supplies
number
Box 26, Supplies
taxes
number
Box 27, Taxes
utilities
number
Box 28, Utilities
veterinary
number
Box 29, Veterinary, breeding, and medicine
otherExpenses
Box 30, Other expenses
capitalExpenditures
array
rentalIncomeStatement
Rental Income Statement for IRS Form 1040 Schedule E
object
taxYear
Year for which taxes are being paid
integer
corrected
boolean
True to indicate this is a corrected tax form
accountId
string
Long-term persistent identity of the source account. Not the account number
taxFormId
string
Long-term persistent id for this tax form. Depending upon the data provider, this may be the same id as the enclosing tax statement id, or this may be a different id, or this id may be omitted.
taxFormDate
Date of production or delivery of the tax form
string
additionalInformation
string
Additional explanation text or content about this tax form
taxFormType
Enumerated name of the tax form entity e.g. "TaxW2"
issuer
Issuer's name, address, phone, and TIN. Issuer data need only be transmitted on enclosing TaxStatement, if it is the same on all its included tax forms.
recipient
Recipient's name, address, phone, and TIN. Recipient data need only be transmitted on enclosing TaxStatement, if it is the same on all its included tax forms.
attributes
array of objects
Additional attributes for this tax form when defined fields are not available. Some specific additional attributes already defined by providers: Fields required by [IRS FIRE](https://www.irs.gov/e-file-providers/filing-information-returns-electronically-fire): Name Control, Type of Identification Number (EIN, SSN, ITIN, ATIN). (ATIN is tax ID number for pending adoptions.) Tax form provider field for taxpayer notification: Recipient Email Address.
object
name
string
Name of attribute
value
string
Value of attribute
boxNumber
string
Box number on a tax form, if any
code
string
Tax form code for the given box number, if any
error
Present if an error was encountered while retrieving this form
links
Links to retrieve this form as data or image, or to invoke other APIs
array
propertyAddress
line1
string
Address line 1
line2
string
Address line 2
line3
string
Address line 3
city
string
City
region
string
State, Province, Territory, Canton or Prefecture. From [Universal Postal Union](https://www.upu.int/en/Postal-Solutions/Programmes-Services/Addressing-Solutions#addressing-s42-standard) as of 2-26-2020, [S42 International Address Standards](https://www.upu.int/UPU/media/upu/documents/PostCode/S42_International-Addressing-Standards.pdf). For U.S. addresses can be 2-character code from '#/components/schemas/StateCode'
postalCode
string
Postal code
country
Country code
string
rents
number
Box 3, Rents received
advertising
number
Box 5, Advertising
auto
number
Box 6, Auto and travel
cleaning
number
Box 7, Cleaning and maintenance
commissions
number
Box 8, Commissions
insurance
number
Box 9, Insurance
legal
number
Box 10, Legal and other professional fees
managementFees
number
Box 11, Management fees
mortgageInterest
number
Box 12, Mortgage interest paid to banks, etc.
otherInterest
number
Box 13, Other interest
repairs
number
Box 14, Repairs
supplies
number
Box 15, Supplies
taxes
number
Box 16, Taxes
utilities
number
Box 17, Utilities
depreciationExpense
number
Box 18, Depreciation
otherExpenses
Box 19, Other expenses
capitalExpenditures
array
royaltyIncomeStatement
Royalty Income Statement for IRS Form 1040 Schedule E
object
taxYear
Year for which taxes are being paid
integer
corrected
boolean
True to indicate this is a corrected tax form
accountId
string
Long-term persistent identity of the source account. Not the account number
taxFormId
string
Long-term persistent id for this tax form. Depending upon the data provider, this may be the same id as the enclosing tax statement id, or this may be a different id, or this id may be omitted.
taxFormDate
Date of production or delivery of the tax form
string
additionalInformation
string
Additional explanation text or content about this tax form
taxFormType
Enumerated name of the tax form entity e.g. "TaxW2"
issuer
Issuer's name, address, phone, and TIN. Issuer data need only be transmitted on enclosing TaxStatement, if it is the same on all its included tax forms.
recipient
Recipient's name, address, phone, and TIN. Recipient data need only be transmitted on enclosing TaxStatement, if it is the same on all its included tax forms.
attributes
array of objects
Additional attributes for this tax form when defined fields are not available. Some specific additional attributes already defined by providers: Fields required by [IRS FIRE](https://www.irs.gov/e-file-providers/filing-information-returns-electronically-fire): Name Control, Type of Identification Number (EIN, SSN, ITIN, ATIN). (ATIN is tax ID number for pending adoptions.) Tax form provider field for taxpayer notification: Recipient Email Address.
object
name
string
Name of attribute
value
string
Value of attribute
boxNumber
string
Box number on a tax form, if any
code
string
Tax form code for the given box number, if any
error
Present if an error was encountered while retrieving this form
links
Links to retrieve this form as data or image, or to invoke other APIs
array
propertyAddress
line1
string
Address line 1
line2
string
Address line 2
line3
string
Address line 3
city
string
City
region
string
State, Province, Territory, Canton or Prefecture. From [Universal Postal Union](https://www.upu.int/en/Postal-Solutions/Programmes-Services/Addressing-Solutions#addressing-s42-standard) as of 2-26-2020, [S42 International Address Standards](https://www.upu.int/UPU/media/upu/documents/PostCode/S42_International-Addressing-Standards.pdf). For U.S. addresses can be 2-character code from '#/components/schemas/StateCode'
postalCode
string
Postal code
country
Country code
string
royalties
number
Box 3, Royalties received
advertising
number
Box 5, Advertising
auto
number
Box 6, Auto and travel
cleaning
number
Box 7, Cleaning and maintenance
commissions
number
Box 8, Commissions
insurance
number
Box 9, Insurance
legal
number
Box 10, Legal and other professional fees
managementFees
number
Box 11, Management fees
mortgageInterest
number
Box 12, Mortgage interest paid to banks, etc.
otherInterest
number
Box 13, Other interest
repairs
number
Box 14, Repairs
supplies
number
Box 15, Supplies
taxes
number
Box 16, Taxes
utilities
number
Box 17, Utilities
depletionExpense
number
Box 18, Depletion
otherExpenses
Box 19, Other expenses
capitalExpenditures
array
tax1041K1
Beneficiary's Share of Income, Deductions, Credits, etc.
object
taxYear
Year for which taxes are being paid
integer
corrected
boolean
True to indicate this is a corrected tax form
accountId
string
Long-term persistent identity of the source account. Not the account number
taxFormId
string
Long-term persistent id for this tax form. Depending upon the data provider, this may be the same id as the enclosing tax statement id, or this may be a different id, or this id may be omitted.
taxFormDate
Date of production or delivery of the tax form
string
additionalInformation
string
Additional explanation text or content about this tax form
taxFormType
Enumerated name of the tax form entity e.g. "TaxW2"
issuer
Issuer's name, address, phone, and TIN. Issuer data need only be transmitted on enclosing TaxStatement, if it is the same on all its included tax forms.
recipient
Recipient's name, address, phone, and TIN. Recipient data need only be transmitted on enclosing TaxStatement, if it is the same on all its included tax forms.
attributes
array of objects
Additional attributes for this tax form when defined fields are not available. Some specific additional attributes already defined by providers: Fields required by [IRS FIRE](https://www.irs.gov/e-file-providers/filing-information-returns-electronically-fire): Name Control, Type of Identification Number (EIN, SSN, ITIN, ATIN). (ATIN is tax ID number for pending adoptions.) Tax form provider field for taxpayer notification: Recipient Email Address.
object
name
string
Name of attribute
value
string
Value of attribute
boxNumber
string
Box number on a tax form, if any
code
string
Tax form code for the given box number, if any
error
Present if an error was encountered while retrieving this form
links
Links to retrieve this form as data or image, or to invoke other APIs
array
finalK1
boolean
Final K-1
amendedK1
boolean
Amended K-1
fiscalYearBegin
Fiscal year begin date
string
fiscalYearEnd
Fiscal year end date
string
form1041T
boolean
Box D, Check if Form 1041-T was filed
date1041T
Box D, and enter the date it was filed
string
final1041
boolean
Box E, Check if this is the final Form 1041 for the estate or trust
domestic
boolean
Box H, Domestic beneficiary
foreign
boolean
Box H, Foreign beneficiary
interestIncome
number
Box 1, Interest income
ordinaryDividends
number
Box 2a, Ordinary dividends
qualifiedDividends
number
Box 2b, Qualified dividends
netShortTermGain
number
Box 3, Net short-term capital gain
netLongTermGain
number
Box 4a, Net long-term capital gain
gain28Rate
number
Box 4b, 28% rate gain
unrecaptured1250Gain
number
Box 4c, Unrecaptured section 1250 gain
otherPortfolioIncome
number
Box 5, Other portfolio and nonbusiness income
ordinaryBusinessIncome
number
Box 6, Ordinary business income
netRentalRealEstateIncome
number
Box 7, Net rental real estate income
otherRentalIncome
number
Box 8, Other rental income
directlyApportionedDeductions
array of objects
Box 9, Directly apportioned deductions
object
code
string
Code
amount
number
Amount
estateTaxDeduction
number
Box 10, Estate tax deduction
finalYearDeductions
array of objects
Box 11, Final year deductions
object
code
string
Code
amount
number
Amount
fiduciary
Box C, Fiduciary's name and address
amtAdjustments
array of objects
Box 12, Alternative minimum tax adjustment
object
code
string
Code
amount
number
Amount
credits
Box 13, Credits and credit recapture
otherInfo
array
tax1042S
Foreign Person's U.S. Source Income Subject to Withholding
object
taxYear
Year for which taxes are being paid
integer
corrected
boolean
True to indicate this is a corrected tax form
accountId
string
Long-term persistent identity of the source account. Not the account number
taxFormId
string
Long-term persistent id for this tax form. Depending upon the data provider, this may be the same id as the enclosing tax statement id, or this may be a different id, or this id may be omitted.
taxFormDate
Date of production or delivery of the tax form
string
additionalInformation
string
Additional explanation text or content about this tax form
taxFormType
Enumerated name of the tax form entity e.g. "TaxW2"
issuer
Issuer's name, address, phone, and TIN. Issuer data need only be transmitted on enclosing TaxStatement, if it is the same on all its included tax forms.
recipient
Recipient's name, address, phone, and TIN. Recipient data need only be transmitted on enclosing TaxStatement, if it is the same on all its included tax forms.
attributes
array of objects
Additional attributes for this tax form when defined fields are not available. Some specific additional attributes already defined by providers: Fields required by [IRS FIRE](https://www.irs.gov/e-file-providers/filing-information-returns-electronically-fire): Name Control, Type of Identification Number (EIN, SSN, ITIN, ATIN). (ATIN is tax ID number for pending adoptions.) Tax form provider field for taxpayer notification: Recipient Email Address.
object
name
string
Name of attribute
value
string
Value of attribute
boxNumber
string
Box number on a tax form, if any
code
string
Tax form code for the given box number, if any
error
Present if an error was encountered while retrieving this form
links
Links to retrieve this form as data or image, or to invoke other APIs
array
formId
string
Unique form identifier
amended
boolean
Amended
amendmentNumber
integer
Amendment number
incomeTypeCode
string
Box 1, Income code
grossIncome
number
Box 2, Gross income
chapterIndicator
string
Box 3, Chapter indicator
ch3ExemptionCode
string
Box 3a, Exemption code
ch3TaxRate
number
Box 3b, Tax rate
ch4ExemptionCode
string
Box 4a, Exemption code
ch4TaxRate
number
Box 4b, Tax rate
withholdingAllowance
number
Box 5, Withholding allowance
netIncome
number
Box 6, Net income
federalTaxWithheld
number
Box 7a, Federal tax withheld
escrowProceduresApplied
boolean
Box 7b, Check if federal tax withheld was not deposited with the IRS because escrow procedures were applied
subsequentYear
boolean
Box 7c, Check if withholding occurred in subsequent year with respect to a partnership interest
otherAgentsTaxWithheld
number
Box 8, Tax withheld by other agents
recipientRepaidAmount
number
Box 9, Overwithheld tax repaid to recipient pursuant to adjustment procedures
totalTaxWithholdingCredit
number
Box 10, Total withholding credit
withholdingAgentTaxPaid
number
Box 11, Tax paid by withholding agent (amounts not withheld)
withholdingAgent
Boxes 12a-i, Withholding agent
form1042Recipient
object
lobCode
string
Box 13j, Recipient's LOB code, if any
dateOfBirth
Box 13l, Recipient's date of birth
string
accountNumber
string
Box 13k, Recipient account number
primary
Boxes 14a-b, Primary Withholding Agent
prorataBasisReporting
boolean
Box 15, Check if pro-rata basis reporting
intermediary
Boxes 15a-i, Intermediary or flow thru entity
payer
Boxes 16a-e, Payer
stateAndLocal
Box 17, State and Local tax withholding
tax1065K1
Partner's Share of Income, Deductions, Credits, etc.
object
taxYear
Year for which taxes are being paid
integer
corrected
boolean
True to indicate this is a corrected tax form
accountId
string
Long-term persistent identity of the source account. Not the account number
taxFormId
string
Long-term persistent id for this tax form. Depending upon the data provider, this may be the same id as the enclosing tax statement id, or this may be a different id, or this id may be omitted.
taxFormDate
Date of production or delivery of the tax form
string
additionalInformation
string
Additional explanation text or content about this tax form
taxFormType
Enumerated name of the tax form entity e.g. "TaxW2"
issuer
Issuer's name, address, phone, and TIN. Issuer data need only be transmitted on enclosing TaxStatement, if it is the same on all its included tax forms.
recipient
Recipient's name, address, phone, and TIN. Recipient data need only be transmitted on enclosing TaxStatement, if it is the same on all its included tax forms.
attributes
array of objects
Additional attributes for this tax form when defined fields are not available. Some specific additional attributes already defined by providers: Fields required by [IRS FIRE](https://www.irs.gov/e-file-providers/filing-information-returns-electronically-fire): Name Control, Type of Identification Number (EIN, SSN, ITIN, ATIN). (ATIN is tax ID number for pending adoptions.) Tax form provider field for taxpayer notification: Recipient Email Address.
object
name
string
Name of attribute
value
string
Value of attribute
boxNumber
string
Box number on a tax form, if any
code
string
Tax form code for the given box number, if any
error
Present if an error was encountered while retrieving this form
links
Links to retrieve this form as data or image, or to invoke other APIs
array
fiscalYearBegin
Fiscal year begin date
string
fiscalYearEnd
Fiscal year end data
string
finalK1
boolean
Final K-1
amendedK1
boolean
Amended K-1
irsCenter
string
Box C, IRS Center where partnership filed return
publiclyTraded
boolean
Box D, Check if this is a publicly traded partnership (PTP)
generalPartner
boolean
Box G, General partner or LLC member-manager
limitedPartner
boolean
Box G, Limited partner or other LLC member
domestic
boolean
Box H1, Domestic partner
foreign
boolean
Box H1, Foreign partner
disregardedEntity
boolean
Box H2, Check if the partner is a disregarded entity (DE), and enter the partner's TIN and Name
disregardedEntityTin
string
Box H2, Disregarded entity partner's TIN
disregardedEntityName
string
Box H2, Disregarded entity partner's Name
entityType
string
Box I1, What type of entity is this partner?
retirementPlan
boolean
Box I2, If this partner is a retirement plan (IRA/SEP/Keogh/etc.), check here
profitShareBegin
number
Box J, Partner's share of profit - beginning
profitShareEnd
number
Box J, Partner's share of profit - ending
lossShareBegin
number
Box J, Partner's share of loss - beginning
lossShareEnd
number
Box J, Partner's share of loss - ending
capitalShareBegin
number
Box J, Partner's share of capital - beginning
capitalShareEnd
number
Box J, Partner's share of capital - ending
decreaseDueToSaleOrExchange
boolean
Box J, Check if decrease is due to sale or exchange of partnership interest. Deprecated and no longer used beginning tax year 2023. Use `decreaseDueToSale` and `decreaseDueToExchange` instead
decreaseDueToSale
boolean
Box J, Check if decrease is due to sale of partnership interest
decreaseDueToExchange
boolean
Box J, Check if decrease is due to exchange of partnership interest
nonrecourseLiabilityShareBegin
number
Box K1, Partner's share of liabilities - beginning - nonrecourse
nonrecourseLiabilityShareEnd
number
Box K1, Partner's share of liabilities - ending - nonrecourse
qualifiedLiabilityShareBegin
number
Box K1, Partner's share of liabilities - beginning - qualified nonrecourse financing
qualifiedLiabilityShareEnd
number
Box K1, Partner's share of liabilities - ending - qualified nonrecourse financing
recourseLiabilityShareBegin
number
Box K1, Partner's share of liabilities - beginning - recourse
recourseLiabilityShareEnd
number
Box K1, Partner's share of liabilities - ending - recourse
includesLowerTierLiability
boolean
Box K2, Check this box if item K1 includes liability amounts from lower tier partnerships
liabilitySubjectToGuarantees
boolean
Box K3, Check if any of the above liability is subject to guarantees or other payment obligations by the partner
capitalAccountBegin
number
Box L, Partner's capital account analysis - Beginning capital account
capitalAccountContributions
number
Box L, Partner's capital account analysis - Capital contributed during the year
capitalAccountIncrease
number
Box L, Partner's capital account analysis - Current year net income (loss)
capitalAccountOther
number
Box L, Partner's capital account analysis - Other increase (decrease)
capitalAccountWithdrawals
number
Box L, Partner's capital account analysis - Withdrawals & distributions
capitalAccountEnd
number
Box L, Partner's capital account analysis - Ending capital account
builtInGain
boolean
Box M, Did the partner contribute property with a built-in gain or loss? - Yes
unrecognizedSection704Begin
number
Box N, Partner's Share of Net Unrecognized Section 704(c) Gain or (Loss) - beginning
unrecognizedSection704End
number
Box N, Partner's Share of Net Unrecognized Section 704(c) Gain or (Loss) - ending
ordinaryIncome
number
Box 1, Ordinary business income (loss)
netRentalRealEstateIncome
number
Box 2, Net rental real estate income (loss)
otherRentalIncome
number
Box 3, Other net rental income (loss)
guaranteedPaymentServices
number
Box 4a, Guaranteed payments for services
guaranteedPaymentCapital
number
Box 4b, Guaranteed payments for capital
guaranteedPayment
number
Box 4c, Total guaranteed payments
interestIncome
number
Box 5, Interest income
ordinaryDividends
number
Box 6a, Ordinary dividends
qualifiedDividends
number
Box 6b, Qualified dividends
dividendEquivalents
number
Box 6c, Dividend equivalents
royalties
number
Box 7, Royalties
netShortTermGain
number
Box 8, Net short-term capital gain (loss)
netLongTermGain
number
Box 9a, Net long-term capital gain (loss)
collectiblesGain
number
Box 9b, Collectibles (28%) gain (loss)
unrecaptured1250Gain
number
Box 9c, Unrecaptured section 1250 gain
net1231Gain
number
Box 10, Net section 1231 gain (loss)
otherIncome
array of objects
Box 11, Other income
object
code
string
Code
amount
number
Amount
section179Deduction
number
Box 12, Section 179 deduction
otherDeductions
Box 13, Other deductions
selfEmployment
array of objects
Box 14, Self-employment earnings (loss)
object
code
string
Code
amount
number
Amount
credits
array
scheduleK3
boolean
Box 16, Schedule K-3 is attached
amtItems
Box 17, Alternative minimum tax (AMT) items
taxExemptIncome
array of objects
Box 18, Tax-exempt income and nondeductible expenses
object
code
string
Code
amount
number
Amount
distributions
array of objects
Box 19, Distributions
object
code
string
Code
amount
number
Amount
otherInfo
Box 20, Other information
foreignTaxPaid
number
Box 21, Foreign taxes paid or accrued
multipleAtRiskActivities
boolean
Box 22, More than one activity for at-risk purposes
multiplePassiveActivities
boolean
Box 23, More than one activity for passive activity purposes
tax1095A
Health Insurance Marketplace Statement
object
taxYear
Year for which taxes are being paid
integer
corrected
boolean
True to indicate this is a corrected tax form
accountId
string
Long-term persistent identity of the source account. Not the account number
taxFormId
string
Long-term persistent id for this tax form. Depending upon the data provider, this may be the same id as the enclosing tax statement id, or this may be a different id, or this id may be omitted.
taxFormDate
Date of production or delivery of the tax form
string
additionalInformation
string
Additional explanation text or content about this tax form
taxFormType
Enumerated name of the tax form entity e.g. "TaxW2"
issuer
Issuer's name, address, phone, and TIN. Issuer data need only be transmitted on enclosing TaxStatement, if it is the same on all its included tax forms.
recipient
Recipient's name, address, phone, and TIN. Recipient data need only be transmitted on enclosing TaxStatement, if it is the same on all its included tax forms.
attributes
array of objects
Additional attributes for this tax form when defined fields are not available. Some specific additional attributes already defined by providers: Fields required by [IRS FIRE](https://www.irs.gov/e-file-providers/filing-information-returns-electronically-fire): Name Control, Type of Identification Number (EIN, SSN, ITIN, ATIN). (ATIN is tax ID number for pending adoptions.) Tax form provider field for taxpayer notification: Recipient Email Address.
object
name
string
Name of attribute
value
string
Value of attribute
boxNumber
string
Box number on a tax form, if any
code
string
Tax form code for the given box number, if any
error
Present if an error was encountered while retrieving this form
links
Links to retrieve this form as data or image, or to invoke other APIs
array
marketplaceId
string
Box 1, Marketplace identifier
marketplacePolicyNumber
string
Box 2, Marketplace-assigned policy number
policyIssuerName
string
Box 3, Policy issuer's name
recipientDateOfBirth
Box 6, Recipient's date of birth
string
spouseName
string
Box 7, Recipient's spouse's name
spouseTin
string
Box 8, Recipient's spouse's SSN
spouseDateOfBirth
Box 9, Recipient's spouse's date of birth
string
policyStartDate
Box 10, Policy start date
string
policyTerminationDate
Box 11, Policy termination date
string
coveredIndividuals
array
coverages
array of objects
Boxes 21-33, Coverage Information
object
enrollmentPremium
number
Monthly enrollment premiums
slcspPremium
number
Monthly second lowest cost silver plan (SLCSP) premium
advancePremiumTaxCreditPayment
number
Monthly advance payment of premium tax credit
month
Month of coverage
string
tax1095B
Health Coverage
object
taxYear
Year for which taxes are being paid
integer
corrected
boolean
True to indicate this is a corrected tax form
accountId
string
Long-term persistent identity of the source account. Not the account number
taxFormId
string
Long-term persistent id for this tax form. Depending upon the data provider, this may be the same id as the enclosing tax statement id, or this may be a different id, or this id may be omitted.
taxFormDate
Date of production or delivery of the tax form
string
additionalInformation
string
Additional explanation text or content about this tax form
taxFormType
Enumerated name of the tax form entity e.g. "TaxW2"
issuer
Issuer's name, address, phone, and TIN. Issuer data need only be transmitted on enclosing TaxStatement, if it is the same on all its included tax forms.
recipient
Recipient's name, address, phone, and TIN. Recipient data need only be transmitted on enclosing TaxStatement, if it is the same on all its included tax forms.
attributes
array of objects
Additional attributes for this tax form when defined fields are not available. Some specific additional attributes already defined by providers: Fields required by [IRS FIRE](https://www.irs.gov/e-file-providers/filing-information-returns-electronically-fire): Name Control, Type of Identification Number (EIN, SSN, ITIN, ATIN). (ATIN is tax ID number for pending adoptions.) Tax form provider field for taxpayer notification: Recipient Email Address.
object
name
string
Name of attribute
value
string
Value of attribute
boxNumber
string
Box number on a tax form, if any
code
string
Tax form code for the given box number, if any
error
Present if an error was encountered while retrieving this form
links
Links to retrieve this form as data or image, or to invoke other APIs
array
responsibleDateOfBirth
Box 3, Date of birth (if SSN or other TIN is not available)
string
originOfHealthCoverageCode
string
Box 8, Enter letter identifying Origin of the Health Coverage
employer
Boxes 10-15, Employer EIN, name and address
coveredIndividuals
array of objects
Boxes 23+, Covered Individuals
object
name
Name of responsible individual
object
first
string
First name
middle
string
Middle initial
last
string
Last name
suffix
string
Generational or academic suffix
tin
string
Social security number or other TIN
dateOfBirth
Date of birth
string
coveredAll12Months
boolean
Covered all 12 months
coveredMonths
array of objects
Months covered
string
tax1095C
Employer-Provided Health Insurance Offer and Coverage
object
taxYear
Year for which taxes are being paid
integer
corrected
boolean
True to indicate this is a corrected tax form
accountId
string
Long-term persistent identity of the source account. Not the account number
taxFormId
string
Long-term persistent id for this tax form. Depending upon the data provider, this may be the same id as the enclosing tax statement id, or this may be a different id, or this id may be omitted.
taxFormDate
Date of production or delivery of the tax form
string
additionalInformation
string
Additional explanation text or content about this tax form
taxFormType
Enumerated name of the tax form entity e.g. "TaxW2"
issuer
Issuer's name, address, phone, and TIN. Issuer data need only be transmitted on enclosing TaxStatement, if it is the same on all its included tax forms.
recipient
Recipient's name, address, phone, and TIN. Recipient data need only be transmitted on enclosing TaxStatement, if it is the same on all its included tax forms.
attributes
array of objects
Additional attributes for this tax form when defined fields are not available. Some specific additional attributes already defined by providers: Fields required by [IRS FIRE](https://www.irs.gov/e-file-providers/filing-information-returns-electronically-fire): Name Control, Type of Identification Number (EIN, SSN, ITIN, ATIN). (ATIN is tax ID number for pending adoptions.) Tax form provider field for taxpayer notification: Recipient Email Address.
object
name
string
Name of attribute
value
string
Value of attribute
boxNumber
string
Box number on a tax form, if any
code
string
Tax form code for the given box number, if any
error
Present if an error was encountered while retrieving this form
links
Links to retrieve this form as data or image, or to invoke other APIs
array
selfInsuredCoverage
boolean
Self Insured Coverage
offersOfCoverage
array of objects
Boxes 14-16, Employee Offer of Coverage
object
coverageCode
string
Offer of Coverage (enter required code)
requiredContribution
number
Employee required contribution
section4980HCode
string
Section 4980H Safe Harbor and Other Relief (enter code)
postalCode
string
Box 17, ZIP Code
month
Month
employeeAge
integer
Employee's Age on January 1
planStartMonth
integer
Plan Start Month
coveredIndividuals
Boxes 17+, Covered Individuals
tax1097Btc
Bond Tax Credit
object
taxYear
Year for which taxes are being paid
integer
corrected
boolean
True to indicate this is a corrected tax form
accountId
string
Long-term persistent identity of the source account. Not the account number
taxFormId
string
Long-term persistent id for this tax form. Depending upon the data provider, this may be the same id as the enclosing tax statement id, or this may be a different id, or this id may be omitted.
taxFormDate
Date of production or delivery of the tax form
string
additionalInformation
string
Additional explanation text or content about this tax form
taxFormType
Enumerated name of the tax form entity e.g. "TaxW2"
issuer
Issuer's name, address, phone, and TIN. Issuer data need only be transmitted on enclosing TaxStatement, if it is the same on all its included tax forms.
recipient
Recipient's name, address, phone, and TIN. Recipient data need only be transmitted on enclosing TaxStatement, if it is the same on all its included tax forms.
attributes
array of objects
Additional attributes for this tax form when defined fields are not available. Some specific additional attributes already defined by providers: Fields required by [IRS FIRE](https://www.irs.gov/e-file-providers/filing-information-returns-electronically-fire): Name Control, Type of Identification Number (EIN, SSN, ITIN, ATIN). (ATIN is tax ID number for pending adoptions.) Tax form provider field for taxpayer notification: Recipient Email Address.
object
name
string
Name of attribute
value
string
Value of attribute
boxNumber
string
Box number on a tax form, if any
code
string
Tax form code for the given box number, if any
error
Present if an error was encountered while retrieving this form
links
Links to retrieve this form as data or image, or to invoke other APIs
array
filingForCredit
boolean
Form 1097-BTC issuer is: Issuer of bond or its agent filing current year Form 1097-BTC for credit being reported
asNominee
boolean
Form 1097-BTC issuer is: An entity or a person that received or should have received a current year Form 1097-BTC and is distributing part or all of that credit to others
total
number
Box 1, Total
bondCode
string
Box 2a, Code
uniqueId
string
Box 2b, Unique Identifier
bondType
string
Box 3, Bond type
amounts
array of objects
Box 5, Amounts by month
object
month
Month
string
amount
number
Amount
comments
string
Box 6, Comments
tax1098
Mortgage Interest Statement
object
taxYear
Year for which taxes are being paid
integer
corrected
boolean
True to indicate this is a corrected tax form
accountId
string
Long-term persistent identity of the source account. Not the account number
taxFormId
string
Long-term persistent id for this tax form. Depending upon the data provider, this may be the same id as the enclosing tax statement id, or this may be a different id, or this id may be omitted.
taxFormDate
Date of production or delivery of the tax form
string
additionalInformation
string
Additional explanation text or content about this tax form
taxFormType
Enumerated name of the tax form entity e.g. "TaxW2"
issuer
Issuer's name, address, phone, and TIN. Issuer data need only be transmitted on enclosing TaxStatement, if it is the same on all its included tax forms.
recipient
Recipient's name, address, phone, and TIN. Recipient data need only be transmitted on enclosing TaxStatement, if it is the same on all its included tax forms.
attributes
array of objects
Additional attributes for this tax form when defined fields are not available. Some specific additional attributes already defined by providers: Fields required by [IRS FIRE](https://www.irs.gov/e-file-providers/filing-information-returns-electronically-fire): Name Control, Type of Identification Number (EIN, SSN, ITIN, ATIN). (ATIN is tax ID number for pending adoptions.) Tax form provider field for taxpayer notification: Recipient Email Address.
object
name
string
Name of attribute
value
string
Value of attribute
boxNumber
string
Box number on a tax form, if any
code
string
Tax form code for the given box number, if any
error
Present if an error was encountered while retrieving this form
links
Links to retrieve this form as data or image, or to invoke other APIs
array
mortgagedProperties
integer
Box 9, Number of properties securing the mortgage
otherInformation
string
Box 10, Other (property tax)
accountNumber
string
Account number
mortgageInterest
number
Box 1, Mortgage interest received from borrower
outstandingPrincipal
number
Box 2, Outstanding mortgage principal
originationDate
Box 3, Mortgage origination date
string
overpaidRefund
number
Box 4, Refund of overpaid interest
mortgageInsurance
number
Box 5, Mortgage insurance premiums
pointsPaid
number
Box 6, Points paid on purchase of principal residence
isPropertyAddressSameAsBorrowerAddress
boolean
Box 7, Is address of property securing mortgage same as PAYER'S/BORROWER'S address
acquisitionDate
Box 11, Mortgage acquisition date
string
propertyAddress
Box 8, Address of property securing mortgage
propertyTax
number
Box 10, Property tax
propertyDescription
string
Box 8, Description of property securing mortgage, if property securing mortgage has no address
tax1098C
Contributions of Motor Vehicles, Boats, and Airplanes
object
taxYear
Year for which taxes are being paid
integer
corrected
boolean
True to indicate this is a corrected tax form
accountId
string
Long-term persistent identity of the source account. Not the account number
taxFormId
string
Long-term persistent id for this tax form. Depending upon the data provider, this may be the same id as the enclosing tax statement id, or this may be a different id, or this id may be omitted.
taxFormDate
Date of production or delivery of the tax form
string
additionalInformation
string
Additional explanation text or content about this tax form
taxFormType
Enumerated name of the tax form entity e.g. "TaxW2"
issuer
Issuer's name, address, phone, and TIN. Issuer data need only be transmitted on enclosing TaxStatement, if it is the same on all its included tax forms.
recipient
Recipient's name, address, phone, and TIN. Recipient data need only be transmitted on enclosing TaxStatement, if it is the same on all its included tax forms.
attributes
array of objects
Additional attributes for this tax form when defined fields are not available. Some specific additional attributes already defined by providers: Fields required by [IRS FIRE](https://www.irs.gov/e-file-providers/filing-information-returns-electronically-fire): Name Control, Type of Identification Number (EIN, SSN, ITIN, ATIN). (ATIN is tax ID number for pending adoptions.) Tax form provider field for taxpayer notification: Recipient Email Address.
object
name
string
Name of attribute
value
string
Value of attribute
boxNumber
string
Box number on a tax form, if any
code
string
Tax form code for the given box number, if any
error
Present if an error was encountered while retrieving this form
links
Links to retrieve this form as data or image, or to invoke other APIs
array
dateOfContribution
Box 1, Date of contribution
string
odometerMileage
integer
Box 2a, Odometer mileage
carYear
integer
Box 2b, Year
make
string
Box 2c, Make
model
string
Box 2d, Model
vin
string
Box 3, Vehicle or other identification number
armsLengthTransaction
boolean
Box 4a, Donee certifies that vehicle was sold in arm's length transaction to unrelated party
dateOfSale
Box 4b, Date of sale
string
grossProceeds
number
Box 4c, Gross proceeds from sale (see instructions)
notTransferredBefore
boolean
Box 5a, Donee certifies that vehicle will not be transferred for money, other property, or services before completion of material improvements or significant intervening use
needyIndividual
boolean
Box 5b, Donee certifies that vehicle is to be transferred to a needy individual for significantly below fair market value in furtherance of donee's charitable purpose
descriptionOfImprovements
string
Box 5c, Donee certifies the following detailed description of material improvements or significant intervening use and duration of use
goodsInExchange
boolean
Box 6a, Did you provide goods or services in exchange for the vehicle? Yes
valueOfExchange
number
Box 6b, Value of goods and services provided in exchange for the vehicle
intangibleReligious
boolean
Box 6c, If this box is checked, donee certifies that the goods and services consisted solely of intangible religious benefits
descriptionOfGoods
string
Box 6c, Describe the goods and services, if any, that were provided
maxDeductionApplies
boolean
Box 7, Under the law, the donor may not claim a deduction of more than $500 for this vehicle if this box is checked
tax1098E
Student Loan Interest Statement
object
taxYear
Year for which taxes are being paid
integer
corrected
boolean
True to indicate this is a corrected tax form
accountId
string
Long-term persistent identity of the source account. Not the account number
taxFormId
string
Long-term persistent id for this tax form. Depending upon the data provider, this may be the same id as the enclosing tax statement id, or this may be a different id, or this id may be omitted.
taxFormDate
Date of production or delivery of the tax form
string
additionalInformation
string
Additional explanation text or content about this tax form
taxFormType
Enumerated name of the tax form entity e.g. "TaxW2"
issuer
Issuer's name, address, phone, and TIN. Issuer data need only be transmitted on enclosing TaxStatement, if it is the same on all its included tax forms.
recipient
Recipient's name, address, phone, and TIN. Recipient data need only be transmitted on enclosing TaxStatement, if it is the same on all its included tax forms.
attributes
array of objects
Additional attributes for this tax form when defined fields are not available. Some specific additional attributes already defined by providers: Fields required by [IRS FIRE](https://www.irs.gov/e-file-providers/filing-information-returns-electronically-fire): Name Control, Type of Identification Number (EIN, SSN, ITIN, ATIN). (ATIN is tax ID number for pending adoptions.) Tax form provider field for taxpayer notification: Recipient Email Address.
object
name
string
Name of attribute
value
string
Value of attribute
boxNumber
string
Box number on a tax form, if any
code
string
Tax form code for the given box number, if any
error
Present if an error was encountered while retrieving this form
links
Links to retrieve this form as data or image, or to invoke other APIs
array
accountNumber
string
Account number
studentLoanInterest
number
Box 1, Student loan interest received by lender
box1ExcludesFees
boolean
Box 2, If checked, box 1 does not include loan origination fee made before September 1, 2004
tax1098Ma
Mortgage Assistance Payments
object
taxYear
Year for which taxes are being paid
integer
corrected
boolean
True to indicate this is a corrected tax form
accountId
string
Long-term persistent identity of the source account. Not the account number
taxFormId
string
Long-term persistent id for this tax form. Depending upon the data provider, this may be the same id as the enclosing tax statement id, or this may be a different id, or this id may be omitted.
taxFormDate
Date of production or delivery of the tax form
string
additionalInformation
string
Additional explanation text or content about this tax form
taxFormType
Enumerated name of the tax form entity e.g. "TaxW2"
issuer
Issuer's name, address, phone, and TIN. Issuer data need only be transmitted on enclosing TaxStatement, if it is the same on all its included tax forms.
recipient
Recipient's name, address, phone, and TIN. Recipient data need only be transmitted on enclosing TaxStatement, if it is the same on all its included tax forms.
attributes
array of objects
Additional attributes for this tax form when defined fields are not available. Some specific additional attributes already defined by providers: Fields required by [IRS FIRE](https://www.irs.gov/e-file-providers/filing-information-returns-electronically-fire): Name Control, Type of Identification Number (EIN, SSN, ITIN, ATIN). (ATIN is tax ID number for pending adoptions.) Tax form provider field for taxpayer notification: Recipient Email Address.
object
name
string
Name of attribute
value
string
Value of attribute
boxNumber
string
Box number on a tax form, if any
code
string
Tax form code for the given box number, if any
error
Present if an error was encountered while retrieving this form
links
Links to retrieve this form as data or image, or to invoke other APIs
array
accountNumber
string
Account number
totalMortgagePayments
number
Box 1, Total State HFA (Housing Finance Agency) and homeowner mortgage payments
mortgageAssistancePayments
number
Box 2, State HFA (Housing Finance Agency) mortgage assistance payments
homeownerMortgagePayments
number
Box 3, Homeowner mortgage payments
tax1098Q
Qualifying Longevity Annuity Contract Information
object
taxYear
Year for which taxes are being paid
integer
corrected
boolean
True to indicate this is a corrected tax form
accountId
string
Long-term persistent identity of the source account. Not the account number
taxFormId
string
Long-term persistent id for this tax form. Depending upon the data provider, this may be the same id as the enclosing tax statement id, or this may be a different id, or this id may be omitted.
taxFormDate
Date of production or delivery of the tax form
string
additionalInformation
string
Additional explanation text or content about this tax form
taxFormType
Enumerated name of the tax form entity e.g. "TaxW2"
issuer
Issuer's name, address, phone, and TIN. Issuer data need only be transmitted on enclosing TaxStatement, if it is the same on all its included tax forms.
recipient
Recipient's name, address, phone, and TIN. Recipient data need only be transmitted on enclosing TaxStatement, if it is the same on all its included tax forms.
attributes
array of objects
Additional attributes for this tax form when defined fields are not available. Some specific additional attributes already defined by providers: Fields required by [IRS FIRE](https://www.irs.gov/e-file-providers/filing-information-returns-electronically-fire): Name Control, Type of Identification Number (EIN, SSN, ITIN, ATIN). (ATIN is tax ID number for pending adoptions.) Tax form provider field for taxpayer notification: Recipient Email Address.
object
name
string
Name of attribute
value
string
Value of attribute
boxNumber
string
Box number on a tax form, if any
code
string
Tax form code for the given box number, if any
error
Present if an error was encountered while retrieving this form
links
Links to retrieve this form as data or image, or to invoke other APIs
array
accountNumber
string
Account number
planNumber
string
Plan number
planName
string
Plan name
planSponsorId
string
Plan sponsor's EIN
annuityAmount
number
Box 1a, Annuity amount on start date
startDate
Box 1b, Annuity start date
string
canBeAccelerated
boolean
Box 2, Start date may be accelerated
totalPremiums
number
Box 3, Total premiums
fairMarketValue
number
Box 4, Fair market value of qualifying longevity annuity contract (FMV of QLAC)
premiums
array of objects
Box 5, Total monthly premiums paid for the contract and date of the last payment in the month
object
date
Date of amount. When used in 1098-Q, date of last payment in month
string
description
string
Description of amount. When used in 1098-Q, may use MonthAbbreviation
amount
number
Amount of payment or receipt. When used in 1098-Q, monthly total
tax1098T
Tuition Statement
object
taxYear
Year for which taxes are being paid
integer
corrected
boolean
True to indicate this is a corrected tax form
accountId
string
Long-term persistent identity of the source account. Not the account number
taxFormId
string
Long-term persistent id for this tax form. Depending upon the data provider, this may be the same id as the enclosing tax statement id, or this may be a different id, or this id may be omitted.
taxFormDate
Date of production or delivery of the tax form
string
additionalInformation
string
Additional explanation text or content about this tax form
taxFormType
Enumerated name of the tax form entity e.g. "TaxW2"
issuer
Issuer's name, address, phone, and TIN. Issuer data need only be transmitted on enclosing TaxStatement, if it is the same on all its included tax forms.
recipient
Recipient's name, address, phone, and TIN. Recipient data need only be transmitted on enclosing TaxStatement, if it is the same on all its included tax forms.
attributes
array of objects
Additional attributes for this tax form when defined fields are not available. Some specific additional attributes already defined by providers: Fields required by [IRS FIRE](https://www.irs.gov/e-file-providers/filing-information-returns-electronically-fire): Name Control, Type of Identification Number (EIN, SSN, ITIN, ATIN). (ATIN is tax ID number for pending adoptions.) Tax form provider field for taxpayer notification: Recipient Email Address.
object
name
string
Name of attribute
value
string
Value of attribute
boxNumber
string
Box number on a tax form, if any
code
string
Tax form code for the given box number, if any
error
Present if an error was encountered while retrieving this form
links
Links to retrieve this form as data or image, or to invoke other APIs
array
studentTinCertification
boolean
By checking the box in STUDENT'S TIN, filer is making a true and accurate certification under penalty of perjury that they have complied with standards promulgated by the Secretary for obtaining such individual's TIN
accountNumber
string
Account number
halfTime
boolean
Box 8, Check if at least half-time student
qualifiedTuitionFees
number
Box 1, Payments received for qualified tuition and related expenses
adjustmentPriorYear
number
Box 4, Adjustments made for a prior year
scholarship
number
Box 5, Scholarships or grants
adjustScholarship
number
Box 6, Adjustments to scholarships or grants for a prior year
includeJanMar
boolean
Box 7, Check if the amount in box 1 or box 2 includes amounts for an academic period beginning January - March of next year
graduate
boolean
Box 9, Check if graduate student
insuranceRefund
number
Box 10, Insurance contract reimbursement / refund
tax1099A
Acquisition or Abandonment of Secured Property
object
taxYear
Year for which taxes are being paid
integer
corrected
boolean
True to indicate this is a corrected tax form
accountId
string
Long-term persistent identity of the source account. Not the account number
taxFormId
string
Long-term persistent id for this tax form. Depending upon the data provider, this may be the same id as the enclosing tax statement id, or this may be a different id, or this id may be omitted.
taxFormDate
Date of production or delivery of the tax form
string
additionalInformation
string
Additional explanation text or content about this tax form
taxFormType
Enumerated name of the tax form entity e.g. "TaxW2"
issuer
Issuer's name, address, phone, and TIN. Issuer data need only be transmitted on enclosing TaxStatement, if it is the same on all its included tax forms.
recipient
Recipient's name, address, phone, and TIN. Recipient data need only be transmitted on enclosing TaxStatement, if it is the same on all its included tax forms.
attributes
array of objects
Additional attributes for this tax form when defined fields are not available. Some specific additional attributes already defined by providers: Fields required by [IRS FIRE](https://www.irs.gov/e-file-providers/filing-information-returns-electronically-fire): Name Control, Type of Identification Number (EIN, SSN, ITIN, ATIN). (ATIN is tax ID number for pending adoptions.) Tax form provider field for taxpayer notification: Recipient Email Address.
object
name
string
Name of attribute
value
string
Value of attribute
boxNumber
string
Box number on a tax form, if any
code
string
Tax form code for the given box number, if any
error
Present if an error was encountered while retrieving this form
links
Links to retrieve this form as data or image, or to invoke other APIs
array
accountNumber
string
Account number
dateOfAcquisition
Box 1, Date of lender's acquisition or knowledge of abandonment
string
principalBalance
number
Box 2, Balance of principal outstanding
fairMarketValue
number
Box 4, Fair market value property
personallyLiable
boolean
Box 5, If checked, the borrower was personally liable for repayment of the debt
propertyDescription
string
Box 6, Description of property
tax1099B
Proceeds From Broker and Barter Exchange Transactions
object
taxYear
Year for which taxes are being paid
integer
corrected
boolean
True to indicate this is a corrected tax form
accountId
string
Long-term persistent identity of the source account. Not the account number
taxFormId
string
Long-term persistent id for this tax form. Depending upon the data provider, this may be the same id as the enclosing tax statement id, or this may be a different id, or this id may be omitted.
taxFormDate
Date of production or delivery of the tax form
string
additionalInformation
string
Additional explanation text or content about this tax form
taxFormType
Enumerated name of the tax form entity e.g. "TaxW2"
issuer
Issuer's name, address, phone, and TIN. Issuer data need only be transmitted on enclosing TaxStatement, if it is the same on all its included tax forms.
recipient
Recipient's name, address, phone, and TIN. Recipient data need only be transmitted on enclosing TaxStatement, if it is the same on all its included tax forms.
attributes
array of objects
Additional attributes for this tax form when defined fields are not available. Some specific additional attributes already defined by providers: Fields required by [IRS FIRE](https://www.irs.gov/e-file-providers/filing-information-returns-electronically-fire): Name Control, Type of Identification Number (EIN, SSN, ITIN, ATIN). (ATIN is tax ID number for pending adoptions.) Tax form provider field for taxpayer notification: Recipient Email Address.
object
name
string
Name of attribute
value
string
Value of attribute
boxNumber
string
Box number on a tax form, if any
code
string
Tax form code for the given box number, if any
error
Present if an error was encountered while retrieving this form
links
Links to retrieve this form as data or image, or to invoke other APIs
array
accountNumber
string
Account number
stateAndLocal
Boxes 14-16, State and Local tax withholding
federalTaxWithheld
number
Box 4, Federal income tax withheld
profitOnClosedContracts
number
Box 8, Profit or (loss) realized in current year on closed contracts
unrealizedProfitOpenContractsBegin
number
Box 9, Unrealized profit or loss on open contracts at end of last year
unrealizedProfitOpenContractsEnd
number
Box 10, Unrealized profit or loss on open contracts at end of current year
aggregateProfitOnContracts
number
Box 11, Aggregate profit or (loss) on contracts
bartering
number
Box 13, Bartering
securityDetails
array of objects
Boxes 1-3, 5-7, 12, Security details
object
checkboxOnForm8949
string
Applicable checkbox on Form 8949
securityName
string
Security name
numberOfShares
number
Number of shares
saleDescription
string
Box 1a, Description of property
dateAcquired
Box 1b, Date acquired
string
variousDatesAcquired
boolean
Box 1b, Date acquired Various
dateOfSale
Box 1c, Date sold or disposed
string
salesPrice
number
Box 1d, Proceeds (not price per share)
accruedMarketDiscount
number
Box 1f, Accrued market discount
adjustmentCodes
array of objects
Other adjustments (code and amount)
object
code
string
Code
amount
number
Amount
costBasis
number
Box 1e, Cost or other basis
correctedCostBasis
number
Corrected cost basis. May be supplied in lieu of adjustmentCode code B. If both adjustmentCodes and correctedCostBasis are supplied, costBasis plus adjustmentCode B should equal correctedCostBasis
washSaleLossDisallowed
number
Box 1g, Wash sale loss disallowed
longOrShort
ordinary
boolean
Box 2, Ordinary
collectible
boolean
Box 3, Collectibles
qof
boolean
Box 3, Qualified Opportunity Fund (QOF)
federalTaxWithheld
number
Box 4, Federal income tax withheld
noncoveredSecurity
boolean
Box 5, Noncovered security
grossOrNet
Box 6, Reported to IRS: GROSS or NET
lossNotAllowed
boolean
Box 7, Loss not allowed based on proceeds
basisReported
boolean
Box 12, Basis reported to IRS
stateAndLocal
array
cusip
string
CUSIP number
foreignAccountTaxCompliance
boolean
Foreign account tax compliance
expiredOption
To indicate gain or loss resulted from option expiration. If salesPrice (1d, proceeds) is zero, use PURCHASED. If costBasis (1e) is zero, use GRANTED
string
investmentSaleType
Type of investment sale
string
secondTinNotice
boolean
Second TIN Notice
tax1099C
Cancellation of Debt
object
taxYear
Year for which taxes are being paid
integer
corrected
boolean
True to indicate this is a corrected tax form
accountId
string
Long-term persistent identity of the source account. Not the account number
taxFormId
string
Long-term persistent id for this tax form. Depending upon the data provider, this may be the same id as the enclosing tax statement id, or this may be a different id, or this id may be omitted.
taxFormDate
Date of production or delivery of the tax form
string
additionalInformation
string
Additional explanation text or content about this tax form
taxFormType
Enumerated name of the tax form entity e.g. "TaxW2"
issuer
Issuer's name, address, phone, and TIN. Issuer data need only be transmitted on enclosing TaxStatement, if it is the same on all its included tax forms.
recipient
Recipient's name, address, phone, and TIN. Recipient data need only be transmitted on enclosing TaxStatement, if it is the same on all its included tax forms.
attributes
array of objects
Additional attributes for this tax form when defined fields are not available. Some specific additional attributes already defined by providers: Fields required by [IRS FIRE](https://www.irs.gov/e-file-providers/filing-information-returns-electronically-fire): Name Control, Type of Identification Number (EIN, SSN, ITIN, ATIN). (ATIN is tax ID number for pending adoptions.) Tax form provider field for taxpayer notification: Recipient Email Address.
object
name
string
Name of attribute
value
string
Value of attribute
boxNumber
string
Box number on a tax form, if any
code
string
Tax form code for the given box number, if any
error
Present if an error was encountered while retrieving this form
links
Links to retrieve this form as data or image, or to invoke other APIs
array
accountNumber
string
Account number
dateOfEvent
Box 1, Date of identifiable event
string
amountDischarged
number
Box 2, Amount of debt discharged
interestIncluded
number
Box 3, Interest if included in box 2
debtDescription
string
Box 4, Debt description
personallyLiable
boolean
Box 5, If checked, the debtor was personally liable for repayment of the debt
debtCode
string
Box 6, Identifiable debt code
fairMarketValue
number
Box 7, Fair market value of property
tax1099Cap
Changes in Corporate Control and Capital Structure
object
taxYear
Year for which taxes are being paid
integer
corrected
boolean
True to indicate this is a corrected tax form
accountId
string
Long-term persistent identity of the source account. Not the account number
taxFormId
string
Long-term persistent id for this tax form. Depending upon the data provider, this may be the same id as the enclosing tax statement id, or this may be a different id, or this id may be omitted.
taxFormDate
Date of production or delivery of the tax form
string
additionalInformation
string
Additional explanation text or content about this tax form
taxFormType
Enumerated name of the tax form entity e.g. "TaxW2"
issuer
Issuer's name, address, phone, and TIN. Issuer data need only be transmitted on enclosing TaxStatement, if it is the same on all its included tax forms.
recipient
Recipient's name, address, phone, and TIN. Recipient data need only be transmitted on enclosing TaxStatement, if it is the same on all its included tax forms.
attributes
array of objects
Additional attributes for this tax form when defined fields are not available. Some specific additional attributes already defined by providers: Fields required by [IRS FIRE](https://www.irs.gov/e-file-providers/filing-information-returns-electronically-fire): Name Control, Type of Identification Number (EIN, SSN, ITIN, ATIN). (ATIN is tax ID number for pending adoptions.) Tax form provider field for taxpayer notification: Recipient Email Address.
object
name
string
Name of attribute
value
string
Value of attribute
boxNumber
string
Box number on a tax form, if any
code
string
Tax form code for the given box number, if any
error
Present if an error was encountered while retrieving this form
links
Links to retrieve this form as data or image, or to invoke other APIs
array
accountNumber
string
Account number
dateOfSale
Box 1, Date of sale or exchange
string
aggregateAmount
number
Box 2, Aggregate amount received
numberOfShares
number
Box 3, Number of shares exchanged
stockClasses
string
Box 4, Classes of stock exchanged
tax1099ConsolidatedStatement
Consolidated Statement for combined IRS Form 1099s
object
taxYear
Year for which taxes are being paid
integer
corrected
boolean
True to indicate this is a corrected tax form
accountId
string
Long-term persistent identity of the source account. Not the account number
taxFormId
string
Long-term persistent id for this tax form. Depending upon the data provider, this may be the same id as the enclosing tax statement id, or this may be a different id, or this id may be omitted.
taxFormDate
Date of production or delivery of the tax form
string
additionalInformation
string
Additional explanation text or content about this tax form
taxFormType
Enumerated name of the tax form entity e.g. "TaxW2"
issuer
Issuer's name, address, phone, and TIN. Issuer data need only be transmitted on enclosing TaxStatement, if it is the same on all its included tax forms.
recipient
Recipient's name, address, phone, and TIN. Recipient data need only be transmitted on enclosing TaxStatement, if it is the same on all its included tax forms.
attributes
array of objects
Additional attributes for this tax form when defined fields are not available. Some specific additional attributes already defined by providers: Fields required by [IRS FIRE](https://www.irs.gov/e-file-providers/filing-information-returns-electronically-fire): Name Control, Type of Identification Number (EIN, SSN, ITIN, ATIN). (ATIN is tax ID number for pending adoptions.) Tax form provider field for taxpayer notification: Recipient Email Address.
object
name
string
Name of attribute
value
string
Value of attribute
boxNumber
string
Box number on a tax form, if any
code
string
Tax form code for the given box number, if any
error
Present if an error was encountered while retrieving this form
links
Links to retrieve this form as data or image, or to invoke other APIs
array
marginInterestPaid
number
Interest paid on margin account
paymentInLieuPaid
number
Payment in lieu of dividends paid
advisorFeesPaid
number
Advisor fees paid
otherFeesPaid
number
Other fees paid
corporateBondInterestPaid
number
Accrued Interest Paid offset to form 1099-INT box 1, Corporate bond interest income
usBondInterestPaid
number
Accrued Interest Paid offset to form 1099-INT box 3, accrued U.S. Treasury Notes and Bonds interest income
taxExemptInterestPaid
number
Accrued Interest Paid offset to form 1099-INT box 8, tax exempt interest income from municipal bonds
specifiedPabInterestPaid
number
Accrued Interest Paid offset to form 1099-INT box 9, tax exempt interest income from Private Activity Bonds
tax1099Div
Dividends and Distributions
object
taxYear
Year for which taxes are being paid
integer
corrected
boolean
True to indicate this is a corrected tax form
accountId
string
Long-term persistent identity of the source account. Not the account number
taxFormId
string
Long-term persistent id for this tax form. Depending upon the data provider, this may be the same id as the enclosing tax statement id, or this may be a different id, or this id may be omitted.
taxFormDate
Date of production or delivery of the tax form
string
additionalInformation
string
Additional explanation text or content about this tax form
taxFormType
Enumerated name of the tax form entity e.g. "TaxW2"
issuer
Issuer's name, address, phone, and TIN. Issuer data need only be transmitted on enclosing TaxStatement, if it is the same on all its included tax forms.
recipient
Recipient's name, address, phone, and TIN. Recipient data need only be transmitted on enclosing TaxStatement, if it is the same on all its included tax forms.
attributes
array of objects
Additional attributes for this tax form when defined fields are not available. Some specific additional attributes already defined by providers: Fields required by [IRS FIRE](https://www.irs.gov/e-file-providers/filing-information-returns-electronically-fire): Name Control, Type of Identification Number (EIN, SSN, ITIN, ATIN). (ATIN is tax ID number for pending adoptions.) Tax form provider field for taxpayer notification: Recipient Email Address.
object
name
string
Name of attribute
value
string
Value of attribute
boxNumber
string
Box number on a tax form, if any
code
string
Tax form code for the given box number, if any
error
Present if an error was encountered while retrieving this form
links
Links to retrieve this form as data or image, or to invoke other APIs
array
accountNumber
string
Account number
ordinaryDividends
number
Box 1a, Total ordinary dividends
qualifiedDividends
number
Box 1b, Qualified dividends
totalCapitalGain
number
Box 2a, Total capital gain distributions
unrecaptured1250Gain
number
Box 2b, Unrecaptured Section 1250 gain
section1202Gain
number
Box 2c, Section 1202 gain
collectiblesGain
number
Box 2d, Collectibles (28%) gain
section897Dividends
number
Box 2e, Section 897 ordinary dividends
section897CapitalGain
number
Box 2f, Section 897 capital gain
nonTaxableDistribution
number
Box 3, Nondividend distributions
federalTaxWithheld
number
Box 4, Federal income tax withheld
section199ADividends
number
Box 5, Section 199A dividends
investmentExpenses
number
Box 6, Investment expenses
foreignTaxPaid
number
Box 7, Foreign tax paid
foreignCountry
string
Box 8, Foreign country or U.S. possession
cashLiquidation
number
Box 9, Cash liquidation distributions
nonCashLiquidation
number
Box 10, Noncash liquidation distributions
foreignAccountTaxCompliance
boolean
Box 11, FATCA filing requirement
taxExemptInterestDividend
number
Box 12, Exempt-interest dividends
specifiedPabInterestDividend
number
Box 13, Specified private activity bond interest dividends
stateAndLocal
Boxes 14-16, State and Local tax withholding
foreignIncomes
Foreign income information
stateTaxExemptIncomes
array of objects
Tax exempt income state information
object
description
string
Description
amount
number
Amount
secondTinNotice
boolean
Second TIN Notice
tax1099G
Certain Government Payments
object
taxYear
Year for which taxes are being paid
integer
corrected
boolean
True to indicate this is a corrected tax form
accountId
string
Long-term persistent identity of the source account. Not the account number
taxFormId
string
Long-term persistent id for this tax form. Depending upon the data provider, this may be the same id as the enclosing tax statement id, or this may be a different id, or this id may be omitted.
taxFormDate
Date of production or delivery of the tax form
string
additionalInformation
string
Additional explanation text or content about this tax form
taxFormType
Enumerated name of the tax form entity e.g. "TaxW2"
issuer
Issuer's name, address, phone, and TIN. Issuer data need only be transmitted on enclosing TaxStatement, if it is the same on all its included tax forms.
recipient
Recipient's name, address, phone, and TIN. Recipient data need only be transmitted on enclosing TaxStatement, if it is the same on all its included tax forms.
attributes
array of objects
Additional attributes for this tax form when defined fields are not available. Some specific additional attributes already defined by providers: Fields required by [IRS FIRE](https://www.irs.gov/e-file-providers/filing-information-returns-electronically-fire): Name Control, Type of Identification Number (EIN, SSN, ITIN, ATIN). (ATIN is tax ID number for pending adoptions.) Tax form provider field for taxpayer notification: Recipient Email Address.
object
name
string
Name of attribute
value
string
Value of attribute
boxNumber
string
Box number on a tax form, if any
code
string
Tax form code for the given box number, if any
error
Present if an error was encountered while retrieving this form
links
Links to retrieve this form as data or image, or to invoke other APIs
array
accountNumber
string
Account number
unemploymentCompensation
number
Box 1, Unemployment compensation
taxRefund
number
Box 2, State or local income tax refunds, credits, or offsets
refundYear
integer
Box 3, Box 2 amount is for tax year
federalTaxWithheld
number
Box 4, Federal income tax withheld
rtaaPayments
number
Box 5, RTAA payments
grants
number
Box 6, Taxable grants
agriculturePayments
number
Box 7, Agriculture payments
businessIncome
boolean
Box 8, If checked, box 2 is trade or business income
marketGain
number
Box 9, Market gain
stateAndLocal
Boxes 10-11, State and Local tax withholding
secondTinNotice
boolean
Second TIN Notice
tax1099H
Health Coverage Tax Credit (HCTC) Advance Payments
object
taxYear
Year for which taxes are being paid
integer
corrected
boolean
True to indicate this is a corrected tax form
accountId
string
Long-term persistent identity of the source account. Not the account number
taxFormId
string
Long-term persistent id for this tax form. Depending upon the data provider, this may be the same id as the enclosing tax statement id, or this may be a different id, or this id may be omitted.
taxFormDate
Date of production or delivery of the tax form
string
additionalInformation
string
Additional explanation text or content about this tax form
taxFormType
Enumerated name of the tax form entity e.g. "TaxW2"
issuer
Issuer's name, address, phone, and TIN. Issuer data need only be transmitted on enclosing TaxStatement, if it is the same on all its included tax forms.
recipient
Recipient's name, address, phone, and TIN. Recipient data need only be transmitted on enclosing TaxStatement, if it is the same on all its included tax forms.
attributes
array of objects
Additional attributes for this tax form when defined fields are not available. Some specific additional attributes already defined by providers: Fields required by [IRS FIRE](https://www.irs.gov/e-file-providers/filing-information-returns-electronically-fire): Name Control, Type of Identification Number (EIN, SSN, ITIN, ATIN). (ATIN is tax ID number for pending adoptions.) Tax form provider field for taxpayer notification: Recipient Email Address.
object
name
string
Name of attribute
value
string
Value of attribute
boxNumber
string
Box number on a tax form, if any
code
string
Tax form code for the given box number, if any
error
Present if an error was encountered while retrieving this form
links
Links to retrieve this form as data or image, or to invoke other APIs
array
advancePayments
number
Box 1, Amount of HCTC advance payments
numberOfMonths
integer
Box 2, Number of months HCTC advance payments and reimbursement credits paid to you
payments
array of objects
Boxes 3-14, Payments by month
object
month
Month
string
amount
number
Amount
tax1099Int
Interest Income
object
taxYear
Year for which taxes are being paid
integer
corrected
boolean
True to indicate this is a corrected tax form
accountId
string
Long-term persistent identity of the source account. Not the account number
taxFormId
string
Long-term persistent id for this tax form. Depending upon the data provider, this may be the same id as the enclosing tax statement id, or this may be a different id, or this id may be omitted.
taxFormDate
Date of production or delivery of the tax form
string
additionalInformation
string
Additional explanation text or content about this tax form
taxFormType
Enumerated name of the tax form entity e.g. "TaxW2"
issuer
Issuer's name, address, phone, and TIN. Issuer data need only be transmitted on enclosing TaxStatement, if it is the same on all its included tax forms.
recipient
Recipient's name, address, phone, and TIN. Recipient data need only be transmitted on enclosing TaxStatement, if it is the same on all its included tax forms.
attributes
array of objects
Additional attributes for this tax form when defined fields are not available. Some specific additional attributes already defined by providers: Fields required by [IRS FIRE](https://www.irs.gov/e-file-providers/filing-information-returns-electronically-fire): Name Control, Type of Identification Number (EIN, SSN, ITIN, ATIN). (ATIN is tax ID number for pending adoptions.) Tax form provider field for taxpayer notification: Recipient Email Address.
object
name
string
Name of attribute
value
string
Value of attribute
boxNumber
string
Box number on a tax form, if any
code
string
Tax form code for the given box number, if any
error
Present if an error was encountered while retrieving this form
links
Links to retrieve this form as data or image, or to invoke other APIs
array
foreignAccountTaxCompliance
boolean
FATCA filing requirement
accountNumber
string
Account number
payerRtn
string
Payer's RTN
interestIncome
number
Box 1, Interest income
earlyWithdrawalPenalty
number
Box 2, Early withdrawal penalty
usBondInterest
number
Box 3, Interest on U.S. Savings Bonds and Treasury obligations
federalTaxWithheld
number
Box 4, Federal income tax withheld
investmentExpenses
number
Box 5, Investment expenses
foreignTaxPaid
number
Box 6, Foreign tax paid
foreignCountry
string
Box 7, Foreign country or U.S. possession
taxExemptInterest
number
Box 8, Tax-exempt interest
specifiedPabInterest
number
Box 9, Specified private activity bond interest
marketDiscount
number
Box 10, Market discount
bondPremium
number
Box 11, Bond premium
usBondPremium
number
Box 12, Bond premium on Treasury obligations
taxExemptBondPremium
number
Box 13, Bond premium on tax-exempt bond
cusipNumber
string
Box 14, Tax-exempt bond CUSIP no.
stateAndLocal
Boxes 15-17, State and Local tax withholding
foreignIncomes
array
stateTaxExemptIncome
array of objects
Supplemental tax-exempt income by state (description is state)
object
description
string
Description
amount
number
Amount
secondTinNotice
boolean
Second TIN Notice
tax1099K
Merchant Card and Third-Party Network Payments
object
taxYear
Year for which taxes are being paid
integer
corrected
boolean
True to indicate this is a corrected tax form
accountId
string
Long-term persistent identity of the source account. Not the account number
taxFormId
string
Long-term persistent id for this tax form. Depending upon the data provider, this may be the same id as the enclosing tax statement id, or this may be a different id, or this id may be omitted.
taxFormDate
Date of production or delivery of the tax form
string
additionalInformation
string
Additional explanation text or content about this tax form
taxFormType
Enumerated name of the tax form entity e.g. "TaxW2"
issuer
Issuer's name, address, phone, and TIN. Issuer data need only be transmitted on enclosing TaxStatement, if it is the same on all its included tax forms.
recipient
Recipient's name, address, phone, and TIN. Recipient data need only be transmitted on enclosing TaxStatement, if it is the same on all its included tax forms.
attributes
array of objects
Additional attributes for this tax form when defined fields are not available. Some specific additional attributes already defined by providers: Fields required by [IRS FIRE](https://www.irs.gov/e-file-providers/filing-information-returns-electronically-fire): Name Control, Type of Identification Number (EIN, SSN, ITIN, ATIN). (ATIN is tax ID number for pending adoptions.) Tax form provider field for taxpayer notification: Recipient Email Address.
object
name
string
Name of attribute
value
string
Value of attribute
boxNumber
string
Box number on a tax form, if any
code
string
Tax form code for the given box number, if any
error
Present if an error was encountered while retrieving this form
links
Links to retrieve this form as data or image, or to invoke other APIs
array
paymentSettlementEntity
boolean
Check to indicate if FILER is a Payment Settlement Entity (PSE)
electronicPaymentFacilitator
boolean
Check to indicate if FILER is an Electronic Payment Facilitator (EPF) / Other third party
paymentCard
boolean
Check to indicate transactions reported are: Payment card
thirdPartyNetwork
boolean
Check to indicate transactions reported are: Third party network
pseName
string
PSE's name
psePhone
PSE's phone number
accountNumber
string
Account number
grossAmount
number
Box 1a, Gross amount of payment card/third party network transactions
cardNotPresent
number
Box 1b, Card Not Present Transactions
merchantCategoryCode
string
Box 2, Merchant category code
numberOfTransactions
number
Box 3, Number of purchase transactions
federalTaxWithheld
number
Box 4, Federal income tax withheld
monthAmounts
array of objects
Box 5, Monthly amounts
object
month
Month
string
amount
number
Amount
stateAndLocal
Boxes 6-8, State and Local tax withholding
secondTinNotice
boolean
Second TIN Notice
tax1099Ls
Reportable Life Insurance Sale
object
taxYear
Year for which taxes are being paid
integer
corrected
boolean
True to indicate this is a corrected tax form
accountId
string
Long-term persistent identity of the source account. Not the account number
taxFormId
string
Long-term persistent id for this tax form. Depending upon the data provider, this may be the same id as the enclosing tax statement id, or this may be a different id, or this id may be omitted.
taxFormDate
Date of production or delivery of the tax form
string
additionalInformation
string
Additional explanation text or content about this tax form
taxFormType
Enumerated name of the tax form entity e.g. "TaxW2"
issuer
Issuer's name, address, phone, and TIN. Issuer data need only be transmitted on enclosing TaxStatement, if it is the same on all its included tax forms.
recipient
Recipient's name, address, phone, and TIN. Recipient data need only be transmitted on enclosing TaxStatement, if it is the same on all its included tax forms.
attributes
array of objects
Additional attributes for this tax form when defined fields are not available. Some specific additional attributes already defined by providers: Fields required by [IRS FIRE](https://www.irs.gov/e-file-providers/filing-information-returns-electronically-fire): Name Control, Type of Identification Number (EIN, SSN, ITIN, ATIN). (ATIN is tax ID number for pending adoptions.) Tax form provider field for taxpayer notification: Recipient Email Address.
object
name
string
Name of attribute
value
string
Value of attribute
boxNumber
string
Box number on a tax form, if any
code
string
Tax form code for the given box number, if any
error
Present if an error was encountered while retrieving this form
links
Links to retrieve this form as data or image, or to invoke other APIs
array
policyNumber
string
Policy number
payment
number
Box 1, Amount paid to payment recipient
saleDate
Box 2, Date of sale
string
issuerName
string
Issuer's name
contactNameAddress
Acquirer's information contact name, street address, city or town, state or province, country, ZIP or foreign postal code, and telephone no. (If different from ACQUIRER)
tax1099Ltc
Long-Term Care and Accelerated Death Benefits
object
taxYear
Year for which taxes are being paid
integer
corrected
boolean
True to indicate this is a corrected tax form
accountId
string
Long-term persistent identity of the source account. Not the account number
taxFormId
string
Long-term persistent id for this tax form. Depending upon the data provider, this may be the same id as the enclosing tax statement id, or this may be a different id, or this id may be omitted.
taxFormDate
Date of production or delivery of the tax form
string
additionalInformation
string
Additional explanation text or content about this tax form
taxFormType
Enumerated name of the tax form entity e.g. "TaxW2"
issuer
Issuer's name, address, phone, and TIN. Issuer data need only be transmitted on enclosing TaxStatement, if it is the same on all its included tax forms.
recipient
Recipient's name, address, phone, and TIN. Recipient data need only be transmitted on enclosing TaxStatement, if it is the same on all its included tax forms.
attributes
array of objects
Additional attributes for this tax form when defined fields are not available. Some specific additional attributes already defined by providers: Fields required by [IRS FIRE](https://www.irs.gov/e-file-providers/filing-information-returns-electronically-fire): Name Control, Type of Identification Number (EIN, SSN, ITIN, ATIN). (ATIN is tax ID number for pending adoptions.) Tax form provider field for taxpayer notification: Recipient Email Address.
object
name
string
Name of attribute
value
string
Value of attribute
boxNumber
string
Box number on a tax form, if any
code
string
Tax form code for the given box number, if any
error
Present if an error was encountered while retrieving this form
links
Links to retrieve this form as data or image, or to invoke other APIs
array
accountNumber
string
Account number
ltcBenefits
number
Box 1, Gross long-term care benefits paid
deathBenefits
number
Box 2, Accelerated death benefits paid
perDiem
boolean
Box 3, Per diem
reimbursedAmount
boolean
Box 3, Reimbursed amount
insuredId
string
INSURED'S taxpayer identification no.
insuredNameAddress
Insured name and address
qualifiedContract
boolean
Box 4, Qualified contract
chronicallyIll
boolean
Box 5, Chronically ill
terminallyIll
boolean
Box 5, Terminally ill
dateCertified
Date certified
string
tax1099Misc
Miscellaneous Income
object
taxYear
Year for which taxes are being paid
integer
corrected
boolean
True to indicate this is a corrected tax form
accountId
string
Long-term persistent identity of the source account. Not the account number
taxFormId
string
Long-term persistent id for this tax form. Depending upon the data provider, this may be the same id as the enclosing tax statement id, or this may be a different id, or this id may be omitted.
taxFormDate
Date of production or delivery of the tax form
string
additionalInformation
string
Additional explanation text or content about this tax form
taxFormType
Enumerated name of the tax form entity e.g. "TaxW2"
issuer
Issuer's name, address, phone, and TIN. Issuer data need only be transmitted on enclosing TaxStatement, if it is the same on all its included tax forms.
recipient
Recipient's name, address, phone, and TIN. Recipient data need only be transmitted on enclosing TaxStatement, if it is the same on all its included tax forms.
attributes
array of objects
Additional attributes for this tax form when defined fields are not available. Some specific additional attributes already defined by providers: Fields required by [IRS FIRE](https://www.irs.gov/e-file-providers/filing-information-returns-electronically-fire): Name Control, Type of Identification Number (EIN, SSN, ITIN, ATIN). (ATIN is tax ID number for pending adoptions.) Tax form provider field for taxpayer notification: Recipient Email Address.
object
name
string
Name of attribute
value
string
Value of attribute
boxNumber
string
Box number on a tax form, if any
code
string
Tax form code for the given box number, if any
error
Present if an error was encountered while retrieving this form
links
Links to retrieve this form as data or image, or to invoke other APIs
array
accountNumber
string
Account number
rents
number
Box 1, Rents
royalties
number
Box 2, Royalties
otherIncome
number
Box 3, Other income
federalTaxWithheld
number
Box 4, Federal income tax withheld
fishingBoatProceeds
number
Box 5, Fishing boat proceeds
medicalHealthPayment
number
Box 6, Medical and health care payments
payerDirectSales
boolean
Box 7, Payer made direct sales of $5,000 or more of consumer products to a buyer (recipient) for resale
substitutePayments
number
Box 8, Substitute payments in lieu of dividends or interest
cropInsurance
number
Box 9, Crop insurance proceeds
secondTinNotice
boolean
Second TIN Notice
grossAttorney
number
Box 10, Gross proceeds paid to an attorney
fishPurchased
number
Box 11, Fish purchased for resale
section409ADeferrals
number
Box 12, Section 409A deferrals
foreignAccountTaxCompliance
boolean
Box 13, FATCA filing requirement
excessGolden
number
Box 14, Excess golden parachute payments
nonQualifiedDeferredCompensation
number
Box 15, Nonqualified Deferred Compensation
stateAndLocal
Boxes 16-18, State and Local tax withholding
tax1099Nec
Non-Employee Compensation
object
taxYear
Year for which taxes are being paid
integer
corrected
boolean
True to indicate this is a corrected tax form
accountId
string
Long-term persistent identity of the source account. Not the account number
taxFormId
string
Long-term persistent id for this tax form. Depending upon the data provider, this may be the same id as the enclosing tax statement id, or this may be a different id, or this id may be omitted.
taxFormDate
Date of production or delivery of the tax form
string
additionalInformation
string
Additional explanation text or content about this tax form
taxFormType
Enumerated name of the tax form entity e.g. "TaxW2"
issuer
Issuer's name, address, phone, and TIN. Issuer data need only be transmitted on enclosing TaxStatement, if it is the same on all its included tax forms.
recipient
Recipient's name, address, phone, and TIN. Recipient data need only be transmitted on enclosing TaxStatement, if it is the same on all its included tax forms.
attributes
array of objects
Additional attributes for this tax form when defined fields are not available. Some specific additional attributes already defined by providers: Fields required by [IRS FIRE](https://www.irs.gov/e-file-providers/filing-information-returns-electronically-fire): Name Control, Type of Identification Number (EIN, SSN, ITIN, ATIN). (ATIN is tax ID number for pending adoptions.) Tax form provider field for taxpayer notification: Recipient Email Address.
object
name
string
Name of attribute
value
string
Value of attribute
boxNumber
string
Box number on a tax form, if any
code
string
Tax form code for the given box number, if any
error
Present if an error was encountered while retrieving this form
links
Links to retrieve this form as data or image, or to invoke other APIs
array
accountNumber
string
Account number
secondTinNotice
boolean
Second TIN Notice
nonEmployeeCompensation
number
Box 1, Nonemployee compensation
payerDirectSales
boolean
Box 2, Payer made direct sales of $5,000 or more of consumer products to a buyer (recipient) for resale
federalTaxWithheld
number
Box 4, Federal income tax withheld
stateAndLocal
Boxes 5-7, State and Local tax withholding
tax1099Oid
Original Issue Discount
object
taxYear
Year for which taxes are being paid
integer
corrected
boolean
True to indicate this is a corrected tax form
accountId
string
Long-term persistent identity of the source account. Not the account number
taxFormId
string
Long-term persistent id for this tax form. Depending upon the data provider, this may be the same id as the enclosing tax statement id, or this may be a different id, or this id may be omitted.
taxFormDate
Date of production or delivery of the tax form
string
additionalInformation
string
Additional explanation text or content about this tax form
taxFormType
Enumerated name of the tax form entity e.g. "TaxW2"
issuer
Issuer's name, address, phone, and TIN. Issuer data need only be transmitted on enclosing TaxStatement, if it is the same on all its included tax forms.
recipient
[...]
